Index: TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/function/UDSearch.java
===================================================================
--- TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/function/UDSearch.java	(revision 3554)
+++ TXM/trunk/org.txm.connlu.core/src/org/txm/conllu/core/function/UDSearch.java	(revision 3555)
@@ -63,7 +63,7 @@
 	}
 	
 	@Override
-	public boolean toSVG(File svgFile, int sent, int sub, String T, String NT) {
+	public boolean toSVG(File svgFile, int sent, int sub, List<String> T, String NT) {
 		
 		if (!isDrawn()) return false; // no result
 		try {
@@ -90,10 +90,24 @@
 			
 			String prefix = UDPreferences.getInstance().getProjectPreferenceValue(corpus.getProject(), UDPreferences.UDPREFIX, UDPreferences.getInstance().getString(UDPreferences.UDPREFIX));
 			
-			String[] Tvalues = null;
-			if (T != null && corpus.getProperty(T) != null && !T.equals(prefix+"form")) {
-				Tvalues = corpus.getProperty(T).cpos2Str(positions);
+			String[] Tvalues = new String[positions.length];
+			for (int i = 0 ; i < Tvalues.length ; i++) {
+				Tvalues[i] += "";
 			}
+			
+			if (T != null && T.size() > 0) {
+				for (int iT = 0 ; iT < T.size() ; iT++) {
+					String t = T.get(iT);
+					if (corpus.getProperty(t) != null) {
+						String[] tvalues = corpus.getProperty(t).cpos2Str(positions);
+						for (int i = 0 ; i < tvalues.length ; i++) {
+							if (iT > 0) Tvalues[i] += "/";
+							Tvalues[i] += tvalues[i];
+						}
+					}
+				}
+			}
+			
 			String[] NTvalues = null;
 			if (NT != null && corpus.getProperty(NT) != null) {
 				NTvalues = corpus.getProperty(NT).cpos2Str(positions);
@@ -262,7 +276,7 @@
 	
 	@Override
 	public boolean loadParameters() throws Exception {
-		return true;
+		return super.loadParameters();
 	}
 	
 	@Override
@@ -272,7 +286,7 @@
 		
 		
 		if (pQuery == null || pQuery.getQueryString().length() == 0) {
-			pQuery = new CQLQuery("["+prefix+"id=\"1\"]");
+			pQuery = new CQLQuery("["+prefix+"deprel=\"root\"]"); // [ud-deprel="root"]
 		}
 		
 		udSentences = corpus.getSubcorpusByName(corpus.getName()+"/ud-sentences");
@@ -294,8 +308,8 @@
 	}
 	
 	public void setIndexAndSubIndex(int sent, int sub) {
-		this.index = sent;
-		this.subIndex = sub;
+		this.pIndex = sent;
+		this.pSubIndex = sub;
 	}
 	
 	@Override
@@ -341,7 +355,7 @@
 		WordProperty pid = corpus.getProperty("id");
 		StructuralUnitProperty ptextid = corpus.getStructuralUnitProperty("text_id");
 		
-		org.txm.objects.Match match = this.udSentences.getMatches().get(this.index);
+		org.txm.objects.Match match = this.udSentences.getMatches().get(this.pIndex);
 		int[] positions = new int[match.size()];
 		for (int i = 0 ; i < match.size() ; i++) {
 			positions[i] = match.getStart() + i;
Index: TXM/trunk/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java
===================================================================
--- TXM/trunk/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java	(revision 3554)
+++ TXM/trunk/org.txm.treesearch.core/src/org/txm/treesearch/function/TreeSearch.java	(revision 3555)
@@ -1,6 +1,9 @@
 package org.txm.treesearch.function;
 
 import java.io.File;
+import java.util.ArrayList;
+import java.util.Arrays;
+import java.util.List;
 
 import org.eclipse.osgi.util.NLS;
 import org.txm.core.preferences.TXMPreferences;
@@ -19,20 +22,20 @@
 	/**
 	 * from 0 to N-1 sentences
 	 */
-	@Parameter(key = TXMPreferences.INDEX)
-	protected int index;
+	@Parameter(key = TXMPreferences.INDEX, type = Parameter.RENDERING)
+	protected int pIndex;
 	
 	/**
 	 * from 0 to N-1 sentence subgraphs
 	 */
-	@Parameter(key = TXMPreferences.SUB_INDEX)
-	protected int subIndex;
+	@Parameter(key = TXMPreferences.SUB_INDEX, type = Parameter.RENDERING)
+	protected int pSubIndex;
 
 	@Parameter(key = TXMPreferences.QUERY)
 	protected IQuery pQuery;
 	
 	@Parameter(key = TreeSearchPreferences.TFEATURE)
-	protected String T;
+	protected List<String> T;
 	
 	@Parameter(key = TreeSearchPreferences.NTFEATURE)
 	protected String NT;
@@ -114,16 +117,29 @@
 	
 	public abstract int getSub(int matchNo);
 	
-	public final String getT() {
+	public final List<String> getT() {
 		return T;
 	}
 	
+	@Override
+	public boolean loadParameters() throws Exception {
+		
+		this.T = new ArrayList<>();
+		String values = getStringParameterValue(TreeSearchPreferences.TFEATURE);
+
+		if (values != null && !values.isEmpty() && values.length() > 0) {
+			this.T.addAll(Arrays.asList(values.split(",")));
+		}
+		
+		return true;
+	}
+	
 	public abstract boolean hasSubMatchesStrategy();
 	
 	@Override
 	public abstract boolean setParameters(TXMParameters parameters);
 	
-	public abstract boolean toSVG(File svgFile, int sent, int sub, String T, String NT);
+	public abstract boolean toSVG(File svgFile, int sent, int sub, List<String> T, String NT);
 
 	public abstract boolean isReady();
 
@@ -143,12 +159,12 @@
 
 	public int getCurrentMatchIndex() {
 		
-		return index;
+		return pIndex;
 	}
 
 	public int getCurrentSubMatchIndex() {
 		
-		return this.subIndex;
+		return this.pSubIndex;
 	}
 
 	public void setQuery(IQuery query) {
Index: TXM/trunk/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java
===================================================================
--- TXM/trunk/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 3554)
+++ TXM/trunk/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/swt/AdvancedChartEditorToolBar.java	(revision 3555)
@@ -36,6 +36,15 @@
 public class AdvancedChartEditorToolBar extends ChartEditorToolBar {
 	
 	public final static String ID = "AdvancedChartEditorToolBar";
+	private ToolItem showTitleButton;
+	private ToolItem showLegendButton;
+	private ToolItem showGridButton;
+	private Combo renderingModeCombo;
+	private Combo fontCombo;
+	private Combo fontSizeCombo;
+	private Combo chartTypeCombo;
+	private Font currentFont;
+	//private Combo fontStyleCombo;
 	
 	/**
 	 *
@@ -45,82 +54,80 @@
 	public AdvancedChartEditorToolBar(ChartEditor<? extends ChartResult> chartEditor, Composite parent, GLComposite subWidgetsComposite, int style) {
 		super(chartEditor, parent, subWidgetsComposite, style, AdvancedChartEditorToolBar.ID);
 		
-		
-		final ToolItem showTitleButton = new ToolItem(this, SWT.CHECK);
-		// showTitle.setText(SWTComponentsProviderMessages.showhideTitle);
-		showTitleButton.setImage(IImageKeys.getImage(getClass(), "icons/show_title.png"));
-		showTitleButton.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_title_disabled.png"));
-		showTitleButton.setToolTipText(ChartsUIMessages.showhideTitle);
-		
 		if (!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_TITLE)) {
+			showTitleButton = new ToolItem(this, SWT.CHECK);
+			// showTitle.setText(SWTComponentsProviderMessages.showhideTitle);
+			showTitleButton.setImage(IImageKeys.getImage(getClass(), "icons/show_title.png"));
+			showTitleButton.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_title_disabled.png"));
+			showTitleButton.setToolTipText(ChartsUIMessages.showhideTitle);
+			
 			showTitleButton.setSelection(chartEditor.getResult().isTitleVisible());
 		}
-		// disable if not managed by the command
-		else {
-			showTitleButton.setEnabled(false);
-		}
+		//		// disable if not managed by the command
+		//		else {
+		//			showTitleButton.setEnabled(false);
+		//		}
 		
-		
-		final ToolItem showLegendButton = new ToolItem(this, SWT.CHECK);
-		// showLegend.setText(SWTComponentsProviderMessages.showhideLegend);
-		showLegendButton.setImage(IImageKeys.getImage(getClass(), "icons/show_legend.png"));
-		showLegendButton.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_legend_disabled.png"));
-		showLegendButton.setToolTipText(ChartsUIMessages.showhideLegend);
-		
 		if (!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_LEGEND)) {
+			showLegendButton = new ToolItem(this, SWT.CHECK);
+			// showLegend.setText(SWTComponentsProviderMessages.showhideLegend);
+			showLegendButton.setImage(IImageKeys.getImage(getClass(), "icons/show_legend.png"));
+			showLegendButton.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_legend_disabled.png"));
+			showLegendButton.setToolTipText(ChartsUIMessages.showhideLegend);
+			
 			showLegendButton.setSelection(chartEditor.getResult().isLegendVisible());
 		}
-		// disable if not managed by the command
-		else {
-			showLegendButton.setEnabled(false);
-		}
+		//		// disable if not managed by the command
+		//		else {
+		//			showLegendButton.setEnabled(false);
+		//		}
 		
-		
-		final ToolItem showGridButton = new ToolItem(this, SWT.CHECK);
-		// showGrid.setText(SWTComponentsProviderMessages.showhideGrid);
-		showGridButton.setImage(IImageKeys.getImage(getClass(), "icons/show_grid.png"));
-		showGridButton.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_grid_disabled.png"));
-		showGridButton.setToolTipText(ChartsUIMessages.showhideGrid);
-		
 		if (!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.SHOW_GRID)) {
+			showGridButton = new ToolItem(this, SWT.CHECK);
+			// showGrid.setText(SWTComponentsProviderMessages.showhideGrid);
+			showGridButton.setImage(IImageKeys.getImage(getClass(), "icons/show_grid.png"));
+			showGridButton.setDisabledImage(IImageKeys.getImage(getClass(), "icons/show_grid_disabled.png"));
+			showGridButton.setToolTipText(ChartsUIMessages.showhideGrid);
+			
+			
 			showGridButton.setSelection(chartEditor.getResult().isGridVisible());
 		}
-		// disable if not managed by the command
-		else {
-			showGridButton.setEnabled(false);
-		}
+		//		// disable if not managed by the command
+		//		else {
+		//			showGridButton.setEnabled(false);
+		//		}
 		
 		
-		
-		// Rendering colors mode selection
-		new ToolItem(this, SWT.SEPARATOR);
-		final Combo renderingModeCombo = new Combo(this, SWT.READ_ONLY);
-		String colorsModes[] = new String[] { ChartsUIMessages.colors,
-				ChartsUIMessages.grayscale,
-				ChartsUIMessages.blackAndWhite,
-				ChartsUIMessages.monochrome
-		};
-		renderingModeCombo.setItems(colorsModes);
-		
-		ToolItem renderingComboItem = new ToolItem(this, SWT.SEPARATOR);
-		renderingComboItem.setControl(renderingModeCombo);
-		renderingModeCombo.pack();
-		renderingComboItem.setWidth(renderingModeCombo.getBounds().width);
-		
 		if (!chartEditor.getResult().isEmptyPreference(ChartsEnginePreferences.RENDERING_COLORS_MODE)) {
+			// Rendering colors mode selection
+			new ToolItem(this, SWT.SEPARATOR);
+			renderingModeCombo = new Combo(this, SWT.READ_ONLY);
+			String colorsModes[] = new String[] { ChartsUIMessages.colors,
+					ChartsUIMessages.grayscale,
+					ChartsUIMessages.blackAndWhite,
+					ChartsUIMessages.monochrome
+			};
+			renderingModeCombo.setItems(colorsModes);
+			
+			ToolItem renderingComboItem = new ToolItem(this, SWT.SEPARATOR);
+			renderingComboItem.setControl(renderingModeCombo);
+			renderingModeCombo.pack();
+			renderingComboItem.setWidth(renderingModeCombo.getBounds().width);
+			
+			
 			renderingModeCombo.select(chartEditor.getResult().getRenderingColorsMode());
 		}
-		// disable if not managed
-		else {
-			renderingModeCombo.setEnabled(false);
-		}
+		//		// disable if not managed
+		//		else {
+		//			renderingModeCombo.setEnabled(false);
+		//		}
 		
 		
 		// Font selection
-		final Font currentFont = ChartsEngine.createFont(chartEditor.getResult().getFont());
+		currentFont = ChartsEngine.createFont(chartEditor.getResult().getFont());
 		
-		final Combo fontCombo = new Combo(this, SWT.READ_ONLY);
-		String fonts[] = GraphicsEnvironment.getLocalGraphicsEnvironment().getAvailableFontFamilyNames(); // FIXME: SJ: may be better here to get the fonts from SWT rather than from Java
+		fontCombo = new Combo(this, SWT.READ_ONLY);
+		String fonts[] = GraphicsEnvironment.getLocalGraphicsEnvironment().getAvailableFontFamilyNames(); // FIXME: SJ: may be better here to get the fonts from SWT rather than from Java, see  java.awt.GraphicsEnvironment.getLocalGraphicsEnvironment().getAllFonts();
 		fontCombo.setItems(fonts);
 		
 		ToolItem fontsComboItem = new ToolItem(this, SWT.SEPARATOR);
@@ -137,9 +144,8 @@
 		}
 		fontCombo.select(currentFontIndex);
 		
-		
 		// Font size
-		final Combo fontSizeCombo = new Combo(this, SWT.READ_ONLY);
+		fontSizeCombo = new Combo(this, SWT.READ_ONLY);
 		String fontSizes[] = new String[30];
 		int currentFontSizeIndex = 0;
 		for (int i = 0; i < fontSizes.length; i++) {
@@ -158,54 +164,70 @@
 		
 		fontSizeCombo.select(currentFontSizeIndex);
 		
+		// Font size
+//		fontStyleCombo = new Combo(this, SWT.READ_ONLY);
+//		String fontStyles[] = new String[] {"normal", "bold", "italic"};
+//		int currentFontStyleIndex = 0;
+//		fontStyleCombo.setItems(fontStyles);
+//		
+//		ToolItem fontStyleComboItem = new ToolItem(this, SWT.SEPARATOR);
+//		fontStyleComboItem.setControl(fontStyleCombo);
+//		fontStyleCombo.pack();
+//		fontStyleComboItem.setWidth(fontStyleCombo.getBounds().width);
+//		
+//		fontStyleCombo.select(currentFontStyleIndex);
 		
+		
+		
 		// Chart types from installed chart creators in all installed charts engines
-		final Combo chartTypeCombo = new Combo(this, SWT.READ_ONLY);
+		
 		if (TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPERT_USER)) {
 			
+			chartTypeCombo = new Combo(this, SWT.READ_ONLY);
+			
 			ArrayList<String> chartsEngineNames = new ArrayList<>();
 			ArrayList<ChartCreator> allChartCreators = new ArrayList<>();
 			
-			for (ChartsEngine engine : ChartsEnginesManager.getChartsEngines()) {
-				for (ChartCreator creator : engine.getChartCreators(this.getEditorPart().getResult())) {
-					chartsEngineNames.add(engine.getName());
-					allChartCreators.add(creator);
+			if (allChartCreators.size() > 1) {
+				for (ChartsEngine engine : ChartsEnginesManager.getChartsEngines()) {
+					for (ChartCreator creator : engine.getChartCreators(this.getEditorPart().getResult())) {
+						chartsEngineNames.add(engine.getName());
+						allChartCreators.add(creator);
+					}
 				}
-			}
-			
-			
-			String chartTypes[] = new String[allChartCreators.size()];
-			int currentChartCreatorIndex = 0;
-			
-			for (int i = 0; i < allChartCreators.size(); i++) {
 				
-				chartTypes[i] = allChartCreators.get(i).getChartType();
-				if (chartTypes[i] == null) {
-					chartTypes[i] = ChartsEnginePreferences.DEFAULT_CHART_TYPE;
-				}
 				
-				// preselected combo index
-				if (this.getEditorPart().getChartType() != null && this.getEditorPart().getChartType().equals(chartTypes[i])
-						&& this.getEditorPart().getResult().getChartsEngine().getName().equals(chartsEngineNames.get(i))) {
-					currentChartCreatorIndex = i;
+				String chartTypes[] = new String[allChartCreators.size()];
+				int currentChartCreatorIndex = 0;
+				
+				for (int i = 0; i < allChartCreators.size(); i++) {
+					
+					chartTypes[i] = allChartCreators.get(i).getChartType();
+					if (chartTypes[i] == null) {
+						chartTypes[i] = ChartsEnginePreferences.DEFAULT_CHART_TYPE;
+					}
+					
+					// preselected combo index
+					if (this.getEditorPart().getChartType() != null && this.getEditorPart().getChartType().equals(chartTypes[i])
+							&& this.getEditorPart().getResult().getChartsEngine().getName().equals(chartsEngineNames.get(i))) {
+						currentChartCreatorIndex = i;
+					}
+					
+					chartTypes[i] = chartsEngineNames.get(i) + " / " + chartTypes[i]; //$NON-NLS-1$
+					
 				}
+				chartTypeCombo.setItems(chartTypes);
+				chartTypeCombo.select(currentChartCreatorIndex);
 				
-				chartTypes[i] = chartsEngineNames.get(i) + " / " + chartTypes[i]; //$NON-NLS-1$
+				ToolItem chartTypeComboItem = new ToolItem(this, SWT.SEPARATOR);
+				chartTypeComboItem.setControl(chartTypeCombo);
+				chartTypeCombo.pack();
+				chartTypeComboItem.setWidth(chartTypeCombo.getBounds().width);
 				
+				
+				
+				//chartTypeCombo.setVisible(false);
 			}
-			chartTypeCombo.setItems(chartTypes);
-			
-			ToolItem chartTypeComboItem = new ToolItem(this, SWT.SEPARATOR);
-			chartTypeComboItem.setControl(chartTypeCombo);
-			chartTypeCombo.pack();
-			chartTypeComboItem.setWidth(chartTypeCombo.getBounds().width);
-			
-			chartTypeCombo.select(currentChartCreatorIndex);
-			
-			
-			if (allChartCreators.size() < 2) {
-				chartTypeCombo.setVisible(false);
-			}
 		}
 		
 		
@@ -217,7 +239,6 @@
 				
 				boolean update = true;
 				
-				
 				// FIXME: SJ: title, legend, grid visibility etc. should use the autoUpdateEditor annotation parameters copy functions
 				if (e.getSource() == showTitleButton) {
 					getEditorPart().getResult().setTitleVisible(showTitleButton.getSelection());
@@ -234,8 +255,8 @@
 				// end of FIXME
 				
 				// Font
-				else if (e.getSource() == fontCombo || e.getSource() == fontSizeCombo) {
-					getEditorPart().getResult().setFont("1|" + fontCombo.getItem(fontCombo.getSelectionIndex()) + "|" + fontSizeCombo.getItem(fontSizeCombo.getSelectionIndex()) + "|0"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				else if (e.getSource() == fontCombo || e.getSource() == fontSizeCombo) { //  || e.getSource() == fontStyleCombo) {
+					getEditorPart().getResult().setFont("1|" + fontCombo.getItem(fontCombo.getSelectionIndex()) + "|" + fontSizeCombo.getItem(fontSizeCombo.getSelectionIndex()) + "|1"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ +fontStyleCombo.getSelectionIndex()
 				}
 				// Chart type / chart creators
 				else if (e.getSource() == chartTypeCombo) {
@@ -273,13 +294,14 @@
 				
 			}
 		};
-		showTitleButton.addSelectionListener(listener);
-		showLegendButton.addSelectionListener(listener);
-		showGridButton.addSelectionListener(listener);
-		renderingModeCombo.addSelectionListener(listener);
-		fontCombo.addSelectionListener(listener);
-		fontSizeCombo.addSelectionListener(listener);
-		chartTypeCombo.addSelectionListener(listener);
+		if (showTitleButton != null) showTitleButton.addSelectionListener(listener);
+		if (showLegendButton != null) showLegendButton.addSelectionListener(listener);
+		if (showGridButton != null) showGridButton.addSelectionListener(listener);
+		if (renderingModeCombo != null) renderingModeCombo.addSelectionListener(listener);
+		if (fontCombo != null) fontCombo.addSelectionListener(listener);
+		if (fontSizeCombo != null) fontSizeCombo.addSelectionListener(listener);
+		//if (fontStyleCombo != null) fontStyleCombo.addSelectionListener(listener);
+		if (chartTypeCombo != null) chartTypeCombo.addSelectionListener(listener);
 	}
 	
 	
Index: TXM/trunk/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java
===================================================================
--- TXM/trunk/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java	(revision 3554)
+++ TXM/trunk/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/RStatsEngine.java	(revision 3555)
@@ -19,7 +19,7 @@
 import org.txm.utils.logger.Log;
 
 /**
- * R statistics engine. Contains methods to start, stop, kill, etc. the R and RServe process.
+ * R statistics engine. Contains methods to start, stop, kill, etc. the R and Rserve process.
  * 
  * @author mdecorde
  * @author sjacquot
@@ -41,7 +41,7 @@
 
 
 	/**
-	 * Starts the stats engine if the engine is not remote then launch RServe.
+	 * Starts the stats engine if the engine is not remote then launch Rserve.
 	 *
 	 * @return true, if successful
 	 */
Index: TXM/trunk/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/StartRserve.java
===================================================================
--- TXM/trunk/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/StartRserve.java	(revision 3554)
+++ TXM/trunk/org.txm.statsengine.r.core/src/org/txm/statsengine/r/core/StartRserve.java	(revision 3555)
@@ -73,7 +73,7 @@
 		if (new File(cmd).exists() && !new File(cmd).isDirectory()
 				&& new File(cmd).canExecute())
 			return launchRserve(cmd,
-					"--no-init-file --no-save --encoding utf8 " + rArgs, "--RS-encoding utf8 --no-save --encoding utf8 " + rServeArgs, port, debug); //$NON-NLS-1$ //$NON-NLS-2$
+					"--vanilla --encoding utf8 " + rArgs, "--RS-encoding utf8 --vanilla --encoding utf8 " + rServeArgs, port, debug); //$NON-NLS-1$ //$NON-NLS-2$
 		return false; // checkLocalRserve(port, debug, rArgs, rServeArgs);
 	}
 	
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpus.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpus.java	(revision 3554)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSCorpus.java	(revision 3555)
@@ -232,8 +232,17 @@
 	}
 	
 	public void setDisplayProperties(Header header, List<String> tprops, String ntprop) {
-		config.setDisplayedTFeatures(header, tprops);
-		config.setDisplayedNTFeature(header, ntprop);
+		
+		if (tprops != null && tprops.size() > 0) {
+			config.setDisplayedTFeatures(header, tprops);
+		} else {
+			config.setDisplayedTFeatures(header, header.getAllTFeatureNames().subList(0, 1));
+		}
+		if (ntprop != null && ntprop.length() > 0) {
+			config.setDisplayedNTFeature(header, ntprop);
+		} else {
+			config.setDisplayedNTFeature(header, header.getAllNTFeatureNames().get(0).toString());
+		}
 	}
 	
 	public InternalCorpusQueryManager getInternalManager() {
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSResult.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSResult.java	(revision 3554)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TSResult.java	(revision 3555)
@@ -186,7 +186,8 @@
 		return matches[matchNo];
 	}
 	
-	public void setDisplayProperties(ArrayList<String> tprops, String feature) {
+	public void setDisplayProperties(List<String> tprops, String feature) {
+		
 		tsCorpus.setDisplayProperties(this.header, tprops, feature);
 	}
 	
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERSearchEngine.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERSearchEngine.java	(revision 3554)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/searchengine/ts/TIGERSearchEngine.java	(revision 3555)
@@ -37,6 +37,7 @@
 import org.txm.utils.logger.Log;
 
 import ims.tiger.index.reader.Index;
+import ims.tiger.index.reader.IndexException;
 import ims.tiger.index.writer.IndexBuilderErrorHandler;
 import ims.tiger.index.writer.SimpleErrorHandler;
 import ims.tiger.index.writer.XMLIndexing;
@@ -191,6 +192,12 @@
 			Log.finest("QUERYING sentences: " + sent_min + " -> " + sent_max);
 			result = tcorpus.query(query.getQueryString().replace("\n", " "), sent_min, sent_max + 1, -1);
 		}
+		
+		return fromTIGERMatchToSelection(tcorpus, result, query, corpus);
+	}
+	
+	public static Selection fromTIGERMatchToSelection(TSCorpus tcorpus, TSResult result, IQuery query, CorpusBuild corpus) throws IndexException {
+		
 		MatchResult mresult = result.getMatchResult();
 		int size = mresult.size();
 		// System.out.println("size: "+size);
Index: TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java
===================================================================
--- TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 3554)
+++ TXM/trunk/org.txm.tigersearch.rcp/src/org/txm/function/tigersearch/TIGERSearch.java	(revision 3555)
@@ -16,6 +16,8 @@
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
 import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.searchengine.ts.TIGERQuery;
+import org.txm.searchengine.ts.TIGERSearchEngine;
+import org.txm.searchengine.ts.TIGERSelection;
 import org.txm.searchengine.ts.TSCorpus;
 import org.txm.searchengine.ts.TSCorpusManager;
 import org.txm.searchengine.ts.TSMatch;
@@ -23,10 +25,12 @@
 import org.txm.tigersearch.rcp.Messages;
 import org.txm.treesearch.function.TreeSearch;
 import org.txm.treesearch.function.TreeSearchSelector;
+import org.txm.treesearch.preferences.TreeSearchPreferences;
 import org.txm.utils.TXMProgressMonitor;
 import org.txm.utils.logger.Log;
 
 import ims.tiger.index.reader.Index;
+import ims.tiger.index.reader.IndexException;
 
 public class TIGERSearch extends TreeSearch {
 	
@@ -38,6 +42,8 @@
 	
 	protected TSResult tsresult;
 	
+	private Selection tigerSelection;
+	
 	//protected String T, NT;
 	
 	public TIGERSearch(CQPCorpus corpus) {
@@ -93,7 +99,7 @@
 		return tsresult != null && T != null && NT != null;
 	}
 	
-	public boolean toSVG(File svgFile, int sent, int sub, String T, String NT) {
+	public boolean toSVG(File svgFile, int sent, int sub, List<String> T, String NT) {
 		
 		if (tsresult == null) return false; // no result
 		this.T = T;
@@ -101,7 +107,7 @@
 		
 		if (tsresult.getNumberOfMatch() == 0) return false;
 		
-		tsresult.setDisplayProperties(new ArrayList<>(Arrays.asList(T)), NT);
+		tsresult.setDisplayProperties(T, NT);
 		
 		try {
 			// iterate to the sub th subgraph
@@ -226,6 +232,8 @@
 	@Override
 	public boolean loadParameters() throws Exception {
 		
+		super.loadParameters();
+		
 		this.pQuery = new TIGERQuery(this.getStringParameterValue(ConcordancePreferences.QUERY));
 		
 		return true;
@@ -234,17 +242,23 @@
 	@Override
 	protected boolean _compute(TXMProgressMonitor monitor) throws Exception {
 		
-		if (tscorpus == null) return false;
+		//if (hasParameterChanged(TreeSearchPreferences.QUERY)) {
+			
+			if (tscorpus == null) return false;
+			
+			tsresult = null;
+			tigerSelection = null;
+			
+			if (pQuery == null || pQuery.getQueryString().length() == 0) {
+				pQuery = new TIGERQuery("root(#n1)"); //$NON-NLS-1$
+			}
+			
+			tsresult = tscorpus.query(pQuery.getQueryString());
+			tsresult.getFirst();
+//		} else {
+//			
+//		}
 		
-		tsresult = null;
-		
-		if (pQuery == null || pQuery.getQueryString().length() == 0) {
-			pQuery = new TIGERQuery("root(#n1)"); //$NON-NLS-1$
-		}
-		
-		tsresult = tscorpus.query(pQuery.getQueryString());
-		tsresult.getFirst();
-		
 		return true;
 	}
 	
@@ -254,28 +268,28 @@
 	}
 	
 	public void setIndexAndSubIndex(int sent, int sub) {
-		this.index = sent;
-		this.subIndex = sub;
+		this.pIndex = sent;
+		this.pSubIndex = sub;
 	}
-
+	
 	@Override
 	public boolean hasSubMatchesStrategy() {
 		
 		return true;
 	}
-
+	
 	@Override
 	public String getEngine() {
 		
 		return TIGERTreeSearchSelector.TIGER;
 	}
-
+	
 	@Override
 	public TreeSearchSelector getSelector() {
 		
 		return new TIGERTreeSearchSelector();
 	}
-
+	
 	@Override
 	public String[] getTextAndWordIDSOfCurrentSentence() throws Exception {
 		
@@ -290,7 +304,7 @@
 		int[] starts = tscorpus.getSentenceStartPositions();
 		
 		//TSMatch s = tsresult.getMatch(this.index);
-		int sent = tsresult.getMatchResult().getSentenceNumberAt(this.index);
+		int sent = tsresult.getMatchResult().getSentenceNumberAt(this.pIndex);
 		
 		int sent_start = starts[sent];
 		
@@ -304,10 +318,10 @@
 		for (int i = 0 ; i < l ; i++) {
 			positions[i] = left + i;
 		}
-//		int right = sent_start + index.getRightCorner(sent, index.getSentence(sent).getTerminalsSize());
-//		if (offsetsMapped != null) { // the TIGER token is not in the CQP corpus
-//			right += offsetsMapped.getInt(right * Integer.BYTES);
-//		}
+		//		int right = sent_start + index.getRightCorner(sent, index.getSentence(sent).getTerminalsSize());
+		//		if (offsetsMapped != null) { // the TIGER token is not in the CQP corpus
+		//			right += offsetsMapped.getInt(right * Integer.BYTES);
+		//		}
 		WordProperty pid = corpus.getProperty("id"); //$NON-NLS-1$
 		StructuralUnitProperty ptextid = corpus.getStructuralUnitProperty("text_id"); //$NON-NLS-1$
 		
@@ -320,20 +334,28 @@
 		
 		return textAndWord;
 	}
-
+	
 	@Override
 	public String getIconPath() {
 		
 		return "platform:/plugin/org.txm.tigersearch.rcp/icons/functions/TS.png"; //$NON-NLS-1$
 	}
-
+	
 	@Override
 	public Selection getSelection() {
 		
-		// TODO Auto-generated method stub
-		return null;
+		if (tigerSelection == null) {
+			try {
+				tigerSelection =  TIGERSearchEngine.fromTIGERMatchToSelection(this.tscorpus, getTSResult(), pQuery, corpus);
+			}
+			catch (IndexException e) {
+				e.printStackTrace();
+				return null;
+			}
+		}
+		return tigerSelection;
 	}
-
+	
 	@Override
 	public File createTemporaryFile(File resultDir) {
 		
@@ -346,7 +368,7 @@
 			return null;
 		} //$NON-NLS-1$ //$NON-NLS-2$ull;
 	}
-
+	
 	@Override
 	public String[] getAvailableVisualisations() {
 		
Index: TXM/trunk/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- TXM/trunk/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 3554)
+++ TXM/trunk/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 3555)
@@ -338,7 +338,9 @@
 	 */
 	public static Font createFont(String encodedStr) {
 		String[] data = encodedStr.split("\\|");
-		Font font = new Font(data[1], Integer.valueOf(data[3]), Integer.parseInt(data[2].split("\\.")[0]));
+		Font font = new Font(data[1], // font name
+					Integer.valueOf(data[3]), // font style
+					Integer.parseInt(data[2].split("\\.")[0])); // font size
 		return font;
 	}
 	
Index: TXM/trunk/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java
===================================================================
--- TXM/trunk/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 3554)
+++ TXM/trunk/org.txm.ca.rcp/src/org/txm/ca/rcp/editors/CAFactorialMapChartEditor.java	(revision 3555)
@@ -364,16 +364,16 @@
 			}
 		}
 		
-//		Label l = new Label(this.getExtendedParametersGroup(), SWT.NONE);
-//		l.setText("Supplementary row names:");
-//		
-//		supRowNamesText = new Text(this.getExtendedParametersGroup(), SWT.BORDER);
-//		
-//		l = new Label(this.getExtendedParametersGroup(), SWT.NONE);
-//		l.setText("Supplementary col names:");
-//		
-//		supColNamesText = new Text(this.getExtendedParametersGroup(), SWT.BORDER);
+		Label l = new Label(this.getExtendedParametersGroup(), SWT.NONE);
+		l.setText("Supplementary row names:");
 		
+		supRowNamesText = new Text(this.getExtendedParametersGroup(), SWT.BORDER);
+		
+		l = new Label(this.getExtendedParametersGroup(), SWT.NONE);
+		l.setText("Supplementary col names:");
+		
+		supColNamesText = new Text(this.getExtendedParametersGroup(), SWT.BORDER);
+		
 		this.chartToolBar.pack();
 	}
 	
